<?php
#
# This class was written to help users of EasyCron (https://www.easycron.com) 
# to use its API (https://www.easycron.com/document).
# The latest version of this class could be found at 
# https://www.easycron.com/easycron-api-kit.zip
# Improvements or bug reports can be sent to info@easycron.com.
#

class EasycronApi
{
    // The token acts as a "password" to access the API.
    // Your token can be found at https://www.easycron.com/user/token.
    public $token;
    
    // Endpoint of the API.
    public $uri = 'https://www.easycron.com/rest';

    public function __construct($token) {
        $this->token = $token;
    }
     	
    /**
     * Makes the call to EasyCron's API.
     *
     * @param  string  $method
     * @param  array  $arguments
     * @return array|false
     */
    public function call($method, $arguments = array()) {
    	$parameters[] = 'token=' . $this->token;
        foreach ($arguments as $name => $value) {
            $parameters[] = $name . '=' . urlencode($value);
        }

        $url = $this->uri . '/' . $method . '?' . implode('&', $parameters);
        $result = file_get_contents($url);

        if ($result) {
            return json_decode($result, true);   
        } else {
            return $result;
        }
    }
}
